View Issue Details

IDProjectCategoryLast Update
0023686AI War 2[All Projects] Bug - GameplaySep 14, 2020 6:43 pm
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 2.501 First Raft Of Multiplayer Fixes 
Fixed in Version2.505 Multiplayer Alpha Starts, Take Two 
Summary0023686: Multiplayer: client ships are being deleted rather than synced properly on first planet.
DescriptionStart a new game with two players, and watch the client's ships be deleted as they are created, rather than having their positions corrected properly.

Not sure what is up with that, but some sort of sync code bug. Everything is correct on the host, but the client is missing the data for those ships, and most concerning of all is not adding them back. Clearly I have at least two bugs in this area to fix.
TagsNo tags attached.

Relationships

related to 0023698 resolvedx4000Bughunter Multiplayer: Large desync on Client 

Activities

x4000Bughunter

Sep 14, 2020 6:43 pm

administrator   ~0058510

This all seems to be resolved now!

https://wiki.arcengames.com/index.php?title=AI_War_2:Multiplayer_Alpha_And_Beta#Multiplayer_Sync_Initial_Implementation_Now_Tests_Out_Initially_Working

Though there will be new issues, I'm sure.

Issue History

Date Modified Username Field Change
Sep 10, 2020 8:21 pm x4000Bughunter New Issue
Sep 10, 2020 8:21 pm x4000Bughunter Status new => assigned
Sep 10, 2020 8:21 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 11, 2020 2:45 pm x4000Bughunter Relationship added related to 0023698
Sep 14, 2020 6:43 pm x4000Bughunter Status assigned => resolved
Sep 14, 2020 6:43 pm x4000Bughunter Resolution open => fixed
Sep 14, 2020 6:43 pm x4000Bughunter Fixed in Version => 2.505 Multiplayer Alpha Starts, Take Two
Sep 14, 2020 6:43 pm x4000Bughunter Note Added: 0058510